> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addKybInformation

> The `addKybInformation` API is used to submit KYB (Know Your Business) data for regulatory compliance. Here you add the information required for the KYB process, which verifies business information with official records.

### What it does:

- Collects essential business verification information including EIN, entity type, and incorporation date
- Begins KYB verification process for regulatory compliance
- Ensures taxation and payroll compliance depending on business type

### Supported Entity Types:

- C Corp
- S Corp  
- LLC
- Single Member LLC
- LLP
- Partnership
- Sole Proprietor
- Non-Profit

### Supported Federal Filing Forms:

- **941**: Quarterly Federal Tax Return (**most common**)
- **944**: Annual Federal Tax Return (for small businesses with an annual employment tax liability of $1,000 or less)



## OpenAPI

````yaml post /companyOnboarding/addKybInformation
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/addKybInformation:
    post:
      tags: []
      summary: addKybInformation
      description: >-
        The `addKybInformation` API is used to submit KYB (Know Your Business)
        data for regulatory compliance. Here you add the information required
        for the KYB process, which verifies business information with official
        records.


        ### What it does:


        - Collects essential business verification information including EIN,
        entity type, and incorporation date

        - Begins KYB verification process for regulatory compliance

        - Ensures taxation and payroll compliance depending on business type


        ### Supported Entity Types:


        - C Corp

        - S Corp  

        - LLC

        - Single Member LLC

        - LLP

        - Partnership

        - Sole Proprietor

        - Non-Profit


        ### Supported Federal Filing Forms:


        - **941**: Quarterly Federal Tax Return (**most common**)

        - **944**: Annual Federal Tax Return (for small businesses with an
        annual employment tax liability of $1,000 or less)
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addKybInformation
                kybInformation:
                  type: object
                  properties:
                    companyId:
                      type: string
                    ein:
                      type: string
                      title: Must be 9 Digits
                    entityType:
                      type: string
                      title: Enum
                      enum:
                        - C Corp
                        - S Corp
                        - LLC
                        - Single Member LLC
                        - LLP
                        - Partnership
                        - Sole Proprietor
                        - Non-Profit
                    dateOfIncorporation:
                      type: string
                    incorporationState:
                      type: string
                    irsAssisgnedFederalFilingForm:
                      type: string
                      enum:
                        - '941'
                        - '944'
                  required:
                    - companyId
                    - ein
                    - entityType
                    - dateOfIncorporation
                    - incorporationState
                    - irsAssisgnedFederalFilingForm
              required:
                - method
                - kybInformation
            example:
              method: addKybInformation
              kybInformation:
                companyId: 8131D8A7-78F3-4DFC-A309-9010C95F2816
                ein: '899991002'
                entityType: LLP
                dateOfIncorporation: '2023-02-25'
                incorporationState: Maryland
                irsAssisgnedFederalFilingForm: '941'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  kybInformation:
                    type: object
                    properties:
                      kybInformationId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - kybInformationId
                      - status
                    x--orders:
                      - kybInformationId
                      - status
                      - message
                required:
                  - kybInformation
                x--orders:
                  - kybInformation
              examples:
                '1':
                  summary: Success
                  value:
                    kybInformation:
                      kybInformationId: 44BF4454-FFCB-42BA-8918-E7A820E6497E
                      status: KYB Verification Pending
                      message: >-
                        The KYB information for wil food has been saved
                        successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Ein is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Entity type is not valid
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````